#------------------------------------------------------------------------------
# Copyright 2008-2012 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://joinup.ec.europa.eu/system/files/EN/EUPL%20v.1.1%20-%20Licence.pdf
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#------------------------------------------------------------------------------

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name: wnodes_nameserver
Version: 2.0.4
Release: 3%{?dist}
License: EUPL
URL:     http://web.infn.it/wnodes/
Group: INFN CNAF
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}-%{version}
BuildArch: noarch
Distribution: any
Vendor: INFN CNAF
Packager: gianni dalla torre gianni.dallatorre@cnaf.infn.it
Summary: INFN CNAF WNODES NAMESERVER

BuildRequires: automake
BuildRequires: python
BuildRequires: wnodes_utils 
Requires: python
Requires: wnodes_utils 

%description 
It contains nameserver of WNODES

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/bash auto.sh
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var --bindir=/usr/bin --exec_prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/log/wnodes/nameserver
mv $RPM_BUILD_ROOT/%{_bindir}/wnodes_nameserver.py $RPM_BUILD_ROOT/%{_bindir}/wnodes_nameserver

%post
# restart server if this is an upgrade
if [ "$1" = "1" ] ; then
  echo 'adding service to chkconfig'
  /sbin/chkconfig --add %{name}
fi;
if [ "$1" = "2" ] ; then
  echo "The WNoDeS nameserver has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;

%preun
#during an upgrade, the value of the argument passed in is 1
#during an uninstall, the value of the argument passed in is 0
if [ "$1" = "0" ] ; then
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
  echo 'del service from chkconfig'
  /sbin/chkconfig --del %{name}
fi;
if [ "$1" = "1" ] ; then
  echo "The WNoDeS nameserver server has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;

%postun
#during an upgrade, the value of the argument passed in is 1
#during an uninstall, the value of the argument passed in is 0
if [ "$1" = "1" ] ; then
  echo "The WNoDeS nameserver server has been upgraded but NOT configured yet."
  echo 'stop service'
  /sbin/service %{name} stop >/dev/null 2>&1 || :
fi;
if [ "$1" = "0" ] ; then
  echo 'remove old file'
  rm -f /etc/init.d/%{name}.*
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_sysconfdir}/init.d/%{name}

%dir %{python_sitearch}/wnodes/nameserver
%{python_sitearch}/wnodes/nameserver/__init__.py
%{python_sitearch}/wnodes/nameserver/__init__.pyc
%{python_sitearch}/wnodes/nameserver/__init__.pyo

%dir %{_sysconfdir}/wnodes/nameserver
%config(noreplace) %{_sysconfdir}/wnodes/nameserver/wnodes_bait_config.ini
%config(noreplace) %{_sysconfdir}/wnodes/nameserver/mac_list.template
%config(noreplace) %{_sysconfdir}/wnodes/nameserver/wnodes_hv_config.ini

%{_bindir}/wnodes_nameserver

%dir %{_localstatedir}/log/wnodes/nameserver

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/CREDITS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-en.pdf
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE-it.pdf
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Mon Apr 2 2012 Elisabetta Ronchieri
- Changed HV and BAIT conf files

* Mon Mar 26 2012 Elisabetta Ronchieri
- Removed vmtype.ini file

* Sat May 15 2011 Elisabetta Ronchieri
- Changed settings following fedora guidelines

* Wed Feb 23 2011 Gianni Dalla Torre
- Added vmtype.ini

* Thu Dec 15 2010 Gianni Dalla Torre
- Added mac_list.template
